/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Usuario;

/**
 *
 * @author Administrador
 */
public interface MarcaDAO extends GenericDAO<Marca, Short> {

	public List<Marca> buscarPorNome(String nomeMarca);

	public List<Marca> buscarTodosExceto(Usuario usuario, Integer... idMarca);

	public List<Marca> buscarDescricaoIdMarca();

	public List<Marca> buscarMarcaPorEmpresa(List<Empresa> empresa);

	public Marca buscarMarcaPorEmpresa(Empresa empresa);

}